--LED CONTROL--------------------------------------------------------------
--This is just used for simple debugging.
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;
use IEEE.numeric_std.all;
use ieee.std_logic_unsigned.all;

entity leds is
   Port ( clk : in std_logic;
			 LED_0, LED_1, LED_2, LED_3, LED_4, LED_5, LED_6, LED_7 : out std_logic := '0';
			 Ref : in std_logic_vector(7 downto 0)
   );
end leds;

architecture basic of leds is
begin
	leds_proc : process (clk)
	variable counter : integer := 0;
	begin
	   if (clk='0' and clk'event) then
			counter := counter + 1;
			if (counter = 5000000) then
				LED_0<=Ref(0);
				LED_1<=Ref(1);
				LED_2<=Ref(2);
				LED_3<=Ref(3);
				LED_4<=Ref(4);
				LED_5<=Ref(5);
				LED_6<=Ref(6);
				LED_7<=Ref(7);
				counter := 0;
			end if;
		end if;
	end process leds_proc;
end architecture basic;