--SUBTRACTOR-------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;
use IEEE.numeric_std.all;
use ieee.std_logic_unsigned.all;
use work.global_package.all;

entity subtract is
   Port ( P_Value : in integer;
			 clk : in std_logic;
			 PID_state : in PID_state_type;
			 error : out integer := 0;
			 subtract_done : out std_logic := '0'
   );
end subtract;

architecture basic of subtract is
begin
	subtract_proc : process (clk) is
	constant Ref : integer := 35;
	variable P_Value_Int : integer := 0;
	begin
	   if (clk='0' and clk'event) then
			if(PID_state = calc_error) then
				error <= Ref-P_Value;
				subtract_done <= '1';
			else subtract_done <= '0';
			end if;
		end if;
	end process subtract_proc;
end architecture basic;