--GROUND CONTROL--------------------------------------------------------------
--This is just used for grounding unused pins
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;
use IEEE.numeric_std.all;
use ieee.std_logic_unsigned.all;
--GROUND-interface
entity ground is
   Port ( clk : in std_logic;
			 b,g,r,hsync,vsync 										 : out std_logic := '0';
			 LED_0,LED_1,LED_2,LED_3,LED_4,LED_5,LED_6,LED_7 : out std_logic := '0';
			 SF_D_8,SF_D_9,SF_D_10,SF_D_11 						 : out std_logic := '0';
			 LCD_E,LCD_RS,LCD_RW 									 : out std_logic := '0';
			 SPI_SS_B, SF_CE0, FPGA_INIT_B 						 : out std_logic := '1'
   );
end ground;

architecture basic of ground is
begin
	ground_proc : process (clk)
	begin
	   if (clk='0' and clk'event) then
			-- DO NOTHING
		end if;
	end process ground_proc;
end architecture basic;